> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a tire set

> Get the selected tire set of the specified vehicle



## OpenAPI

````yaml /api-reference/m2m-api.yml get /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/tire-sets/{tiresetId}
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/tire-sets/{tiresetId}:
    get:
      tags:
        - Tire sets
      summary: Get a tire set
      description: Get the selected tire set of the specified vehicle
      operationId: getTireSetById
      parameters:
        - name: assetProviderCountryCode
          in: path
          description: Asset provider country code
          required: true
          schema:
            type: string
            minLength: 2
            maxLength: 2
        - name: assetProviderCode
          in: path
          description: Asset provider code
          required: true
          schema:
            type: string
            minLength: 3
            maxLength: 3
        - name: vehicleId
          in: path
          description: The assetId of the vehicle
          required: true
          schema:
            type: string
        - name: tiresetId
          in: path
          description: The tire set ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Single tire set
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TireSetResponse'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Tire set or vehicle not found
      security:
        - oauth:
            - openid
components:
  schemas:
    TireSetResponse:
      type: object
      required:
        - status
        - id
      properties:
        id:
          type: string
        title:
          type: string
          example: Winter tires
        status:
          type: string
          enum:
            - Mounted
            - Dismounted
            - Archived
        season:
          type: string
          enum:
            - Summer
            - Winter
            - All-weather
        frontAxle:
          $ref: '#/components/schemas/TireSetAxle'
        rearAxle:
          $ref: '#/components/schemas/TireSetAxle'
        note:
          type: string
        storageReports:
          type: array
          items:
            $ref: '#/components/schemas/TireStorageReportResponse'
        invoices:
          type: array
          items:
            $ref: '#/components/schemas/TireInvoice'
    TireSetAxle:
      type: object
      properties:
        model:
          type: string
          example: PIRELLI P-ZERO
        size:
          type: string
          example: 235/35 R20 Y
        firstMountDate:
          type: string
          format: date
          example: '2022-04-24'
        mileage:
          type: integer
          example: 9560
          description: Mileage in kilometers
    TireStorageReportResponse:
      type: object
      required:
        - id
      properties:
        id:
          type: string
        frontAxle:
          $ref: '#/components/schemas/AxleReportResponse'
        rearAxle:
          $ref: '#/components/schemas/AxleReportResponse'
        note:
          type: string
        dismountDate:
          type: string
          format: date
          example: '2025-04-24'
        depotAddress:
          type: string
        depotPhone:
          type: string
        depotEmail:
          type: string
          format: email
        ocrStatus:
          $ref: '#/components/schemas/OcrStatus'
        blob:
          $ref: '#/components/schemas/Blob'
    TireInvoice:
      type: object
      required:
        - id
        - ocrStatus
        - blob
      properties:
        id:
          type: string
        blob:
          $ref: '#/components/schemas/Blob'
        ocrStatus:
          $ref: '#/components/schemas/OcrStatus'
    AxleReportResponse:
      type: object
      properties:
        model:
          type: string
        size:
          type: string
        mileage:
          type: integer
        treadDepth:
          type: number
          format: float
    OcrStatus:
      type: string
      enum:
        - NOT_STARTED
        - MANUAL
        - PROCESSING
        - PROCESSED
        - ERROR
    Blob:
      type: object
      required:
        - uuid
        - filename
        - uploaded
      properties:
        uuid:
          type: string
          format: uuid
        filename:
          type: string
        uploaded:
          type: boolean
          description: Indicates if the BLOB has been uploaded to the storage
          default: false
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````